For AI agents: a documentation index is available at https://www.mongodb.com/ko-kr/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.

Download Ops Manager Server Logs

Use this endpoint to download a .tar.gz archive that contains every log file that Ops Manager collected for the specified job. You cannot download from a job whose status is IN_PROGRESS or EXPIRED. If a job partially failed, the archive includes only the log files that Ops Manager collected successfully.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /admin/omLogCollectionJobs/{JOB-ID}:download

Requires that the API Key calling this endpoint have the Global Read Only role.

Name
Type
Necessity
Description

JOB-ID

string

Required

Unique 24-hexadecimal digit string that identifies the Ops Manager server log collection job. To find a job ID, call Get All Ops Manager Server Log Collection Jobs.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether the response body is in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

This endpoint returns a binary stream with Content-Type: application/gzip and the file name format om-logs_{timestamp}.tar.gz. The archive uses the following layout:

om-server-1.example.com/ application/ mms0.log mms0.20260412.log http_access/ mms0-access.log migration/ mms-migration.logom-server-2.example.com/ application/ mms0.log http_access/ mms0-access.log mms0-access.20260412.logdaemon-host-1.example.com/ daemon/ daemon-hosted.log daemon-hosted.20260816.log.gzdaemon-host-2.example.com/ daemon/ daemon-hosted.log daemon-hosted.20260815.log.gz

Important

When you call this endpoint with curl, you must pass --output and a file name. Otherwise, curl writes the binary archive to your terminal.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/gzip" \ --output om-logs.tar.gz \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/omLogCollectionJobs/{JOB-ID}:download"
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/gzipContent-Disposition: attachment; filename="om-logs_{timestamp}.tar.gz"Strict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}

This endpoint does not return a JSON response body.